<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>width: auto и width: 100%</title>
</head>
<style>
	body { background-color: rgba(0,0,0,0.2); }
	div { border: 1px solid #000; }
	div:not(:last-child) { margin-bottom: 36px;}

	.example_2,
	.example_1 {
		width: 250px;
		height: 60px;
		text-align: center;
		vertical-align: middle;
	}

	.example_1 {
		margin-bottom: 30px;
	}

	.example_2 {
		margin-top: 10px;
	}
</style>
<body>
	<h1>
		Схлопывание внешних отступов
	</h1>
	<div class="example_1">
		<span>example_1</span>
	</div>
	<div class="example_2">
		<span>example_2</span>
	</div>
</body>
</html>